Bug 41279 - Wrong syntax used for nested types in MethodAccessException (and similar)
Summary: Wrong syntax used for nested types in MethodAccessException (and similar)
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: JIT (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: Low minor
Target Milestone: Future Cycle (TBD)
Assignee: Rodrigo Kumpera
URL:
Depends on:
Blocks:
 
Reported: 2016-05-24 09:42 UTC by Marek Safar
Modified: 2017-08-18 20:09 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Marek Safar 2016-05-24 09:42:30 UTC
For example

System.MethodAccessException: Method `Ex:Private ()' is inaccessible from method `X/<Foo>c__async0:MoveNext ()'

uses wrong '/' separator for nested types. It should be '+'. Similarly ':' is used instead of '.' separator

.NET shows

System.MethodAccessException: Attempt by method 'X+<Foo>c__async0.MoveNext()' to access method 'Ex.Private()' failed.
Comment 1 Rodrigo Kumpera 2017-08-17 22:54:24 UTC
https://github.com/mono/mono/pull/5397
Comment 2 Rodrigo Kumpera 2017-08-18 20:09:05 UTC
Fixed in master